# Generated by Django 2.2.1 on 2019-07-17 04:04

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='FilePurger',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('enabled', models.BooleanField(default=True)),
                ('file_pattern', models.CharField(help_text="Pattern of files to inspect using POSIX shell expansion (e.g., 'datafile-.*\\.txt')", max_length=255)),
                ('directory', models.CharField(blank=True, max_length=255)),
                ('recursive_search', models.BooleanField(default=False, help_text='Search directories recursively')),
                ('delete_by_filename', models.BooleanField(blank=True, default=True, help_text='Delete by timestamp in filename')),
                ('filename_date_year_first', models.BooleanField(default=False, help_text='Whether we should expect the year to come first')),
                ('filename_date_day_first', models.BooleanField(default=False, help_text='Whether we should expect the day to come before the month')),
                ('delete_by_atime', models.BooleanField(default=False, help_text='Delete if access time is too old')),
                ('delete_by_mtime', models.BooleanField(default=True, help_text='Delete if modification time is too old')),
                ('delete_by_ctime', models.BooleanField(default=False, help_text='Delete if (meta) change time is too old')),
                ('age_in_days', models.PositiveIntegerField(default=30, help_text='Delete records older than this age')),
            ],
        ),
        migrations.CreateModel(
            name='DatabasePurger',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('enabled', models.BooleanField(default=True)),
                ('delete_by_age', models.BooleanField(default=True, help_text='Delete if entry is older than specified age')),
                ('delete_by_quantity', models.BooleanField(default=False, help_text='Delete all except the youngest `max_records` entries')),
                ('datetime_field', models.CharField(default='created', help_text='Date or datetime field used to determine the age of a record', max_length=255)),
                ('age_in_days', models.PositiveIntegerField(default=30, help_text='If `delete_by_age` is selected, delete records older than this age')),
                ('max_records', models.PositiveIntegerField(default=1000, help_text='Number of records to keep if `delete_by_quantity` is selected')),
                ('tables', models.ManyToManyField(to='contenttypes.ContentType')),
            ],
        ),
    ]
